{
===============================================================================
  Copyright (©) 2005. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 30-09-2005
  Versión actual: 1.0.0
  Fecha versión actual: 30-09-2005
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit InformeAlbaranCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, InformeBase, FR_IBXDB, FR_Shape, FR_DSet, FR_DBSet, FR_Class,
  DB, IBCustomDataSet, IBQuery, RdxEmpresaActiva;

type
  TdmInformeAlbaranCliente = class(TdmInformeBase)
    TablaCab: TfrDBDataSet;
    TablaDet: TfrDBDataSet;
    TablaAlbaranes: TIBQuery;
    TablaDetallesAlbaranes: TIBQuery;
  private
    FCodigo : Variant;
  protected
    procedure PrepararConsultas; override;
  public
    constructor Create(AOwner: TComponent); override;
  published
    property Codigo : variant read FCodigo write FCodigo;
  end;

var
  dmInformeAlbaranCliente: TdmInformeAlbaranCliente;

implementation

{$R *.dfm}

{ TdmInformeFacturaProforma }

constructor TdmInformeAlbaranCliente.Create(AOwner: TComponent);
begin
  inherited;
  FNombreInforme := 'InformeAlbaranCliente.frf';
end;

procedure TdmInformeAlbaranCliente.PrepararConsultas;
begin
  inherited;

  with TablaAlbaranes do
  begin
    Database := FBaseDatos;
    Transaction := FTransaccion;
    SQL.Clear;
    SQL.Add('select * from ALBARANESCLIENTE ');
    SQL.Add('where CODIGO = :CODIGO');
    ParamByName('CODIGO').AsString := FCodigo;
    Prepare;
  end;

  with TablaDetallesAlbaranes do
  begin
    Database := FBaseDatos;
    Transaction := FTransaccion;
    SQL.Clear;
    SQL.Add('select * from DETALLESALBARANESCLIENTE ');
    SQL.Add('where CODIGOALBARAN = :CODIGOALBARAN');
    ParamByName('CODIGOALBARAN').AsString := FCodigo;
    Prepare;
  end;

  TablaCab.Open;
  TablaDet.Open;
end;

end.
